import { useNotifications } from '@/plugins/notifications';

export const useClipboard = () => {
  const { success } = useNotifications();

  const copyToClipboard = async (text: string): Promise<void> => {
    await navigator.clipboard.writeText(text);
    success('Copié dans le presse-papier');
  };

  return {
    copyToClipboard,
  };
};
